Package org.bukkit.event.entity

# Enum Class VillagerCareerChangeEvent.ChangeReason

java.lang.Object
java.lang.Enum<VillagerCareerChangeEvent.ChangeReason>
org.bukkit.event.entity.VillagerCareerChangeEvent.ChangeReason

All Implemented Interfaces:
  `Serializable`, `Comparable<VillagerCareerChangeEvent.ChangeReason>`, `Constable`

Enclosing class:
  VillagerCareerChangeEvent

public static enum VillagerCareerChangeEvent.ChangeReason extends Enum<VillagerCareerChangeEvent.ChangeReason>
Reasons for the villager's profession changing.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EMPLOYED`
Villager gained employment.
`LOSING_JOB`
Villager lost their job due to too little experience.

## Method Summary

Modifier and Type
Method
Description
`static VillagerCareerChangeEvent.ChangeReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VillagerCareerChangeEvent.ChangeReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOSING_JOB

public static final VillagerCareerChangeEvent.ChangeReason LOSING_JOB
Villager lost their job due to too little experience.

### EMPLOYED

public static final VillagerCareerChangeEvent.ChangeReason EMPLOYED
Villager gained employment.

## Method Details

### values

public static VillagerCareerChangeEvent.ChangeReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VillagerCareerChangeEvent.ChangeReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null